﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Ivi.Driver;

namespace RsSpecan_IVI.NET_Complex_Example
{
    public partial class SpectrumChart : Form
    {
        public SpectrumChart(ISpectrum<double> spectrumTrace1, ISpectrum<double> spectrumTrace2, string screenshotPath)
        {
            InitializeComponent();
            this.CenterToScreen();
            this.Focus();

            Image image = Image.FromFile(screenshotPath);
            Screenshot.Image = image;

            var chartArea = Spectrums.ChartAreas[0];
            var trace1 = Spectrums.Series[0];
            var trace2 = Spectrums.Series[1];

            chartArea.AxisX.LabelStyle.Format = "{0:0.###E0}";
            var traceMin = Math.Min(spectrumTrace1.StartFrequency, spectrumTrace2.StartFrequency);
            var traceMax = Math.Max(spectrumTrace1.StopFrequency, spectrumTrace2.StopFrequency);
            chartArea.AxisX.Minimum = traceMin;
            chartArea.AxisX.Maximum = traceMax;

            trace1.Points.Clear();
            var yCoors = spectrumTrace1.GetAllElements();
            for (int i = 0; i < yCoors.Length; i++)
                trace1.Points.AddXY(spectrumTrace1.StartFrequency + i * spectrumTrace1.FrequencyStep, yCoors[i]);

            trace2.Points.Clear();
            yCoors = spectrumTrace2.GetAllElements();
            for (int i = 0; i < yCoors.Length; i++)
                trace2.Points.AddXY(spectrumTrace2.StartFrequency + i * spectrumTrace2.FrequencyStep, yCoors[i]);

        }

        private void ExitButton_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
